Use icon with bird for launchers

Bug #178785 reported by Pander
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Sunbird
Invalid
Undecided
Unassigned
lightning-sunbird (Ubuntu)
Wishlist
Unassigned

Bug Description

Please use the Sunbird icon with the green bird curled on the side of the calender. Currently for Thunderbird and Firefox, these types of icons with the animal curved around the logo are being used. Make Sunbird fall in line with its Mozilla friends.

Revision history for this message
Maia Everett (linneris) wrote :

Seconded.

Changed in lightning-sunbird:
importance: Undecided → Wishlist
status: New → Triaged
Revision history for this message
bert07 (marien.bert) wrote :

Using Hardy Alpha 5, I copied the 'bird icons' over the others. When logged in as root, this worked, but logged in as user no icons are shown for Sunbird.

A pity, it worked rather well in the previous Ubuntu's.

But I would also suggest that the bird icons are used; these are much nicer as the ones used now.

Revision history for this message
John Vivirito (gnomefreak) wrote :

Please attach the icons you are speaking about. I am not at a Ubuntu pc atm and i will think about it for version 0.8 for Hardy+1 its way too late for Hardy.

Changed in lightning-sunbird:
assignee: nobody → mozilla-bugs
status: Triaged → Incomplete
Revision history for this message
Pander (pander) wrote :

Please use this logo as icon in launcher for GNOME and KDE:
  http://markcarson.com/MarkCarson/images/sunbird/Sunbird-256x256-white.png
in stead of the one currently begin used:
  http://markcarson.com/images/sunbird/Calendar-Logo-256x256.png

This all concerns the file
  /usr/local/share/pixmaps/sunbird.png

Revision history for this message
John Vivirito (gnomefreak) wrote :

Thank you and i will look at this for the 0.8 release in Hardy+1. it is too late to include in Hardy. After 0.8 hits Hardy+1 we will talk about backporting it to Gutsy and Hardy.

Revision history for this message
Pander (pander) wrote :

Can the status be set to 'in progress' in stead of 'incomplete'?

Revision history for this message
John Vivirito (gnomefreak) wrote :

Pander i would rather leave it as incomplete until i get home and can start on it. Than i will adjust accodingly.

Revision history for this message
John Vivirito (gnomefreak) wrote :

I will meet with the rest of the Ubuntu Mozilla team devs on this issue and see what they like, personally im all for changing them but would like the teams go ahead as well.

Revision history for this message
bert07 (marien.bert) wrote :

If it would please anybody, I can upload the files needed to change it all, + a file that tells you where to put it all.

Would I upload it here, or, for instance, at my website?

Revision history for this message
John Vivirito (gnomefreak) wrote :

Ben,
That is not a problem, my concern is that i think keeping it as Mozilla made it would be a better idea but i will review the license when i return home and get back to you on it.

Revision history for this message
bert07 (marien.bert) wrote : Re: [Bug 178785] Re: Use icon with bird for launchers

Small detail: it's Bert.
Okay, I await your respons.

John Vivirito wrote:
> Ben,
> That is not a problem, my concern is that i think keeping it as Mozilla made it would be a better idea but i will review the license when i return home and get back to you on it.
>
>

Revision history for this message
John Vivirito (gnomefreak) wrote :

sorry the pc i was using was a very bad display

Revision history for this message
John Vivirito (gnomefreak) wrote :

as i understand after talking it over with a few team memebers this is possible to happen for Hardy+1 sunbird 0.8 but still too early to tell if we do get it done for Hardy+1 i will most likely backport it depends on regresstions or fixes.

Revision history for this message
John Vivirito (gnomefreak) wrote :

Please test this with the unofficial 0.8 package we have for Hardy at this time at https://edge.launchpad.net/~mozillateam/+archive/
There isnt much change from upstream build and this one just a few patches got removed and some clean up that was applie upstream for most part. This package should be built in next 3+ hours.

Revision history for this message
Pander (pander) wrote :

Thanks for the work so far. What is the latest status on this bug? when will the release talked about above be in backports and can this bug be closed?

Revision history for this message
John Vivirito (gnomefreak) wrote :

Pander wrote:
> Thanks for the work so far. What is the latest status on this bug? when
> will the release talked about above be in backports and can this bug be
> closed?
>
>
As of right now we have added to use the bird icon but it fails to use
it, this is a bug that needs to be worked out and i will try to get to
it this week, or see if Alexander has a reason why it isnt fixed when he
set it.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

Revision history for this message
Pander (pander) wrote :

Any new news on this?

Revision history for this message
John Vivirito (gnomefreak) wrote :

Pander wrote:
> Any new news on this?
>
>
no. i havent had time to work on it and ther eare 5 or so other bugs
that im waiting on replies so i can add those fixes in also. Hardy may
or may not get this since it will have to be backports i havent decided
if i really want to backport it or just update my PPA. I will check my
bugs again maybe this weekend and atleast push what i can fix at that time
Thanks for reminding me

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

Revision history for this message
Pander (pander) wrote :

No worries, I'll remind you again :) So, it will be a backport for Interprid?

Revision history for this message
Alexander Sack (asac) wrote :

if there is a reason to consider this critical enough for a SRU this could be done. Not sure if there is such a reason though. Give me reasons and I will see :).

Changed in lightning-sunbird:
assignee: mozilla-bugs → nobody
status: Incomplete → Triaged
Revision history for this message
Pander (pander) wrote :

Is Christmas a good reason ;)

Revision history for this message
John Vivirito (gnomefreak) wrote :

Alexander this should only be fixed in Haunty. An icon change is not a SRU update. however i was thinking about backporting 0.9 into Intrepid most likely not Hardy Unless someone can give me a good reason to backport to Hardy.

Revision history for this message
bert07 (marien.bert) wrote :

Perhaps because Hardy (LTS) is going to be around yet for several years to come?

Revision history for this message
Pander (pander) wrote :

Backporting 0.9 to Intrepid is very welcome.

Revision history for this message
Alexander Sack (asac) wrote :

Pander wrote:
> Backporting 0.9 to Intrepid is very welcome.
>
>
yes. icon change doesnt qualify for SRU ... however, 0.9 can go from
jaunty to intrepid-backports and even hardy-backports if the packaging
is done wisely. john, check back with me or fta on how to properly
detect whether system-libs are suitable or not.

Revision history for this message
bert07 (marien.bert) wrote :

It's been awhile.
Any news on this?

Revision history for this message
John Vivirito (gnomefreak) wrote :

bert yeah i havent gotten around to the icon so far. I am however reporting this upstream so they can add it by default, Although we can fix it with a patch i would love this to be used for my other systems.

Changed in sunbird:
status: Unknown → New
Changed in lightning-sunbird (Ubuntu):
assignee: nobody → gnomefreak
Changed in sunbird:
importance: Unknown → Undecided
status: New → Invalid
Revision history for this message
John Vivirito (gnomefreak) wrote :

Working on this as we speak i will know more tomorrow if it is done than it will be pushed to my PPA Not sure if it will be pushed in time for Jaunty. as Alexander this doesn't fit into a SRU
Not sure if we will back port it yet i would love more testing before that is thought too hard about.

Revision history for this message
John Vivirito (gnomefreak) wrote :

I'm finished with this the new icon is the green bird with white calendar in it
I will be pushing intrepid hardy and jaunty in well hopfully all today

PPA: https://launchpad.net/~gnomefreak/+archive/ppa

Branch for Jaunty: https://code.launchpad.net/~gnomefreak/sunbird/ubuntu-0.x

Revision history for this message
John Vivirito (gnomefreak) wrote :

I need to revise the versioning i am working today to fix them, they may be lower that what you installed prior to today from my PPA so you will need to install the deb by hand to overwrite the version you have. I will leave a comment here when im done

Revision history for this message
John Vivirito (gnomefreak) wrote :

Alexander the libs should be fine however i would really love a more widespread testing before i think about backporting. So far most of the feature bugs and other bugs on lightning and sunbird are filed by 1 person. Once i get 0.9 in my PPA i would ask people to test it and give feedback on mailing list.

Revision history for this message
John Vivirito (gnomefreak) wrote :

Hardy Intrepid and Jaunty are done in PPA below

https://launchpad.net/~gnomefreak/+archive/ppa

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightning-sunbird - 0.9+nobinonly-0ubuntu2

---------------
lightning-sunbird (0.9+nobinonly-0ubuntu2) jaunty; urgency=low

  [ John Vivirito ]
  * Fixes (LP: #178785)
  * debian/rules: Added build option --enable-official-branding to build with official branding
  * debian/patches: Removed deb299697-lp42559-use-FC_ANY_METRICS.patch to fix build errors

  [ Alexander Sack ]
  * fix LP: #210534 - bad swedish translation in sunbird.desktop; we
    apply improved translation by Daniel Nylander
    - update debian/sunbird.desktop

 -- John Vivirito <email address hidden> Wed, 08 Apr 2009 05:04:57 -0400

Changed in lightning-sunbird (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
John Vivirito (gnomefreak) wrote :

On 04/08/2009 09:30 AM, Launchpad Bug Tracker wrote:
> This bug was fixed in the package lightning-sunbird - 0.9+nobinonly-
> 0ubuntu2
>
> ---------------
> lightning-sunbird (0.9+nobinonly-0ubuntu2) jaunty; urgency=low
>
> [ John Vivirito ]
> * Fixes (LP: #178785)
> * debian/rules: Added build option --enable-official-branding to build with official branding
> * debian/patches: Removed deb299697-lp42559-use-FC_ANY_METRICS.patch to fix build errors
>
> [ Alexander Sack ]
> * fix LP: #210534 - bad swedish translation in sunbird.desktop; we
> apply improved translation by Daniel Nylander
> - update debian/sunbird.desktop
>
> -- John Vivirito <email address hidden> Wed, 08 Apr 2009 05:04:57
> -0400
>
> ** Changed in: lightning-sunbird (Ubuntu)
> Status: Triaged => Fix Released
>
It seems it fails to build on arme arch. Looking to patch it this afternoon

 status fixcommited

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Revision history for this message
John Vivirito (gnomefreak) wrote :

On 04/08/2009 10:27 AM, John Vivirito wrote:
> On 04/08/2009 09:30 AM, Launchpad Bug Tracker wrote:
>> This bug was fixed in the package lightning-sunbird - 0.9+nobinonly-
>> 0ubuntu2
>>
>> ---------------
>> lightning-sunbird (0.9+nobinonly-0ubuntu2) jaunty; urgency=low
>>
>> [ John Vivirito ]
>> * Fixes (LP: #178785)
>> * debian/rules: Added build option --enable-official-branding to build with official branding
>> * debian/patches: Removed deb299697-lp42559-use-FC_ANY_METRICS.patch to fix build errors
>>
>> [ Alexander Sack ]
>> * fix LP: #210534 - bad swedish translation in sunbird.desktop; we
>> apply improved translation by Daniel Nylander
>> - update debian/sunbird.desktop
>>
>> -- John Vivirito <email address hidden> Wed, 08 Apr 2009 05:04:57
>> -0400
>>
>> ** Changed in: lightning-sunbird (Ubuntu)
>> Status: Triaged => Fix Released
>>
> It seems it fails to build on arme arch. Looking to patch it this afternoon
>
> status fixcommited
>
>
Spelled committed wrong i guess
I will patch this sometime in near future, I would also like to look at
other bugs to see if we cant fix them at same time.
If anyone has an idea on sunbird bugs that need fixing and feel like
working on it let me know and i will be glad to help you out.

 status fixcommitted

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Changed in sunbird:
status: Invalid → Fix Committed
Changed in sunbird:
status: Fix Committed → Fix Released
Revision history for this message
John Vivirito (gnomefreak) wrote :

Changed to in progress until it hits official archives.

Changed in lightning-sunbird (Ubuntu):
status: Fix Released → In Progress
Changed in sunbird:
status: Fix Released → In Progress
Revision history for this message
Andrea Veri (av) wrote :

Changing bug to fix released plus removing u-u-s as sponsorship is not needed here.

Changed in lightning-sunbird (Ubuntu):
assignee: John Vivirito (gnomefreak) → nobody
status: In Progress → Fix Released
Revision history for this message
John Vivirito (gnomefreak) wrote :

Andrea: Any way to get this in archives soon? the only thing im wondering is that in my branch i had screwed up with versioning.
In repos atm its ubuntu2 and last rlease in branch is ubuntu6. its in my PPA as ubuntu6 (yes i know i screwed up on the branch) but i can fix that the only problem i have with it is than my PPA will be higher than archives.
If this is an issue please let me know and i will fix it ASAP. The new release i have ready fixes a good amount of bugs and the feed back i have gotten from users testing it say they have been fixed.
I have left out the arm GCC fix but that will come as soon as i can get it in.
As i recall Alexander wanted to patch it for Tbird, Seamonkey, sunbird, ect...

PPA: https://launchpad.net/~gnomefreak/+archive/ppa

Bzr branch: https://code.launchpad.net/~gnomefreak/sunbird/ubuntu-0.x.9.10

Revision history for this message
John Vivirito (gnomefreak) wrote :

ok this is fixed in version ubuntu3 please downgrade once this is released to universe.
I screwed up my branch thats why PPA has ubuntu6
sorry about that

Changed in lightning-sunbird (Ubuntu):
status: Fix Released → In Progress
Revision history for this message
John Vivirito (gnomefreak) wrote :

ok its being commited at this time for upload.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightning-sunbird - 0.9+nobinonly-0ubuntu3

---------------
lightning-sunbird (0.9+nobinonly-0ubuntu3) karmic; urgency=low

  [ John Vivirito ]
  * Fixes (LP: #178785)
    - debian/rules: Added build option --enable-official-branding to build with official branding
    - debian/patches: Removed deb299697-lp42559-use-FC_ANY_METRICS.patch to fix build errors
    - debian/patches: Updated series
  * Fixes (LP: #399400)
    - debian/rules: Removed the convert icon section
    - debian/sunbird.links: Adjusted link to use the 128 icon
  * Fixes (LP: #401165)
    - debian/control: Removed GCC and GCC++ from build-deps
    - debian/rules: Commented out GCC and GCC++ lines to build using default
    - debian/patches: Added ftbfs_gcc44_elif.patch to fix FTBFS
    - debian/patches/series: Updated
  * Fixes (LP: #385325) crash in JS due to usage of wrong floating point number$
    - debian/patches: Added bz322806_arm-vfp-2538:3f78d5e894bc
    - debian/patches/series: Updated
  * Fixes (LP: #378754)
    - debian/control: Fixed typo in calendar-google-provider description.
  * Fixes (LP: #358084): add arm(el) xpcom patches from thunderbird package
    - add debian/patches/18_arm_xpcom_unused_attribute.dpatch
    - add debian/patches/38_arm_xpcom_optim.dpatch
    - add debian/patches/bz339782_cvs_xptcinvoke_arm_backport_1.13.patch
    - update debian/patches/series
  * debian/patches:
    - Add debian/patches/412610_attachment_309958.patch: to prevent crash on MAX_PATH
    - update debian/patches/series

 -- John Vivirito <email address hidden> Fri, 21 Aug 2009 10:57:02 -0400

Changed in lightning-sunbird (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Pander (pander) wrote :

Could someone update the In Progress status for Sunbird? Thanks

Pander (pander)
Changed in sunbird:
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.